hi,

I have a very strange issue. Some of my installed gems are not working
anymore. For example:

$ ruby -rrack/test -e 1
/home/jacky/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
`require': cannot load such file -- rack/test (LoadError)
  from
/home/jacky/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
`require'


Which is strange because:

$ gem which rack/test
/home/jacky/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/gems/1.9.1/gems/rack-test-0.6.2/lib/rack/test.rb

So clearly the gem executable can see the gem, but ruby cannot. This is
not the only gem not working anymore, but some gems do work. I tried
reinstalling to no avail. File permissions look OK. Ruby version is
1.9.3 (under rvm as you can see above) and gem is 1.8.24. OS is Ubuntu
10.04.

Any ideas on how to resolve this?

-- 
Posted via http://www.ruby-forum.com/.